﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{1EE0CDA3-5CB0-46EB-9FF1-C89450C66457}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>btcore</RootNamespace>
    <AssemblyName>btcore</AssemblyName>
    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <StartupObject />
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="MiscUtil-r285">
      <HintPath>..\plugins\MiscUtil-r285\MiscUtil.dll</HintPath>
    </Reference>
    <Reference Include="protobuf-net">
      <HintPath>..\plugins\protobuf-net-2.1.0\protobuf-net.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
    <Reference Include="UnityEngine">
      <HintPath>C:/Program Files/Unity/Editor/Data/Managed/UnityEngine.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="..\common\json\scripts\*.cs">
      <Link>blacktriangles\json\folder</Link>
    </Compile>
    <Compile Include="..\common\network\connection\*.cs">
      <Link>blacktriangles\network\connection\folder</Link>
    </Compile>
    <Compile Include="..\common\network\jsonaction\*.cs">
      <Link>blacktriangles\network\jsonaction\folder</Link>
    </Compile>
    <Compile Include="..\common\network\packets\*.cs">
      <Link>blacktriangles\network\packets\folder</Link>
    </Compile>
    <Compile Include="..\common\network\protobuf\*.cs">
      <Link>blacktriangles\network\protobuf\folder</Link>
    </Compile>
    <Compile Include="..\common\network\router\*.cs">
      <Link>blacktriangles\network\router\folder</Link>
    </Compile>
    <Compile Include="..\common\network\server\*.cs">
      <Link>blacktriangles\network\server\folder</Link>
    </Compile>
    <Compile Include="..\common\statemachine\*.cs">
      <Link>blacktriangles\statemachine\folder</Link>
    </Compile>
    <Compile Include="..\common\utils\classes\*.cs">
      <Link>blacktriangles\utils\classes\folder</Link>
    </Compile>
    <Compile Include="..\common\utils\extensions\*.cs">
      <Link>blacktriangles\utils\extensions\folder</Link>
    </Compile>
    <Compile Include="..\common\utils\interfaces\*.cs">
      <Link>blacktriangles\utils\interfaces\folder</Link>
    </Compile>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it.
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>
